Instalación y Actualización

Problema al Actualizar Moodle 2.8.6 a 2.8.11

 
Imagen de Luvin Areas
Problema al Actualizar Moodle 2.8.6 a 2.8.11
 

Saludos.

Mi nombre el Luvin Areas, trabajo con Moodle 2.8, y desde hace bastante ha estado corriendo fenomenal.

Hasta hoy! Necesito ayuda urgentemente! 

Estaba haciendo la actualización de la versión 2.8.6 a 2.8.11, y al parecer estaba todo bien, sin embargo una vez que extraje el archivo .zip del 2.8.11 a mi servidor, e inmediatamente copiando el config.php a la nueva carpeta de moodle, cuando trato de finalizar la instalación cargando nuevamente mi página de moodle, me encuentro con que no hace nada, ni carga mi moodle. Simplemente no me deja actualizar. triste

Solamente se queda en blanco y no me deja nada más que hacer! Ya he tratado de revisar el config.php y todo indica a que está bien.

Ocupo de su ayuda urgentemente ya que pronto iniciarán las clases! gracias amigos y amigas! 

 
Promedio de calificaciones: -
Imagen de Sergio Alfaro
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
Moodlers de gran ayuda

Luvin....

Crea una carpeta al en el área publica.

En ella descomprime la versión 2.8.11

Copia el config a la nueva carpeta, editarlo y realiza solo el cambio de la nueva ruta.

Si todo anda bien ...copia el theme de la antigua versión a la nueva

Los modulos y bloque adicionales que pudieses tener  desde la antigua  la nueva en la misma ruta....


Nos cuentas como va



 
Promedio de calificaciones: -
Imagen de Luvin Areas
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
 
Saludos Sergio.

Haré lo que dices. Por el momento, los pasos de descomprimir la versión 2.8.11 y el copiar el config.php los he hecho. 

Probaré con copiar el theme y los bloques. Gracias!

 
Promedio de calificaciones: -
Imagen de Luvin Areas
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
 

Sergio, hola. 

He hecho todo paso por paso, tanto las sugerencias de Jose, así como las tuyas, el único problema es que aún me sigue fallando!

Aparece el siguiente error: (dentro del error_log)

[29-Apr-2016 10:58:02] PHP Warning:  Unexpected character in input:  '\' (ASCII=92) state=1 in /home3/esepaorg/public_html/moodle/index.php on line 218
[29-Apr-2016 10:58:02] PHP Parse error:  syntax error, unexpected T_STRING in /home3/esepaorg/public_html/moodle/index.php on line 218


Me pregunto si estoy olvidando algún paso!

Lo que ocurre es que aún cuando intento ingresar al login del administrador, la plataforma no me permite terminar el proceso de actualización. 

Espero que puedan ayudarme, estoy desesperado

 
Promedio de calificaciones: -
www.nosolored.com - Servicios Moodle, Chamilo, Joomla y Wordpress.
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
Moodlers de gran ayuda

Buen día:

Tu si no carga porque el config.php tiene una ruta distinta ya que estás usando una carpeta nueva y el fichero apunta a otra.

La actualización de 2.8.6 a 2.8.11 tiene muy pocos cambios. Realiza siempre una copia previa de tu sitio y luego sobreescribe por ftp (u otro medio) el contenido de tu instalación con los archivos de la 2.8.11 de la nueva versión. Luego entras en la Administración de tu sitio y sigue el proceso para obtener acceso a la nueva versión.

No es necesario copiar el contenido de la versión antigua en una nueva ni cambiar el config.php ya que si lo haces tendrás que cambiar las rutas también en la base de datos con la nueva ubicación.

Distinto sería si fueras a migrar a Moodle 2.9 cuyo proceso es diferente ya que no se puede mezclar código de 2 ramas distintas y si se utiliza otra carpeta antes para descomprimir el sitio de modo temporal.

Un saludo.

 
Promedio de calificaciones:Útil (1)
Imagen de Luvin Areas
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
 

Saludos Jose.

Cuando reviso el config.php que tenía en la antigua carpeta de moodle (que ahora se encuentra en el moodle 2.8.11) encuentro que apunta a su respectiva base de datos, dataroot, etc. 

Seguiré revisando... gracias!

 
Promedio de calificaciones: -
Imagen de Luvin Areas
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
 
Jose, saludos nuevamente.

he hecho todos los pasos que me dicen que haga, sin embargo cuando ingreso al login del administrador sigo encontrandome con la pantalla en blanco, y no me deja hacer nada más. 

He respaldado todos los archivos, pero no tengo éxito. La información está ahí, solo que al parecer moodle no logra conectar correctamente.

Me pregunto si será un problema de Temas (theme)?? Ayuda porfavor!

esta es la dirección de mi moodle: http://moodle.esepa.org


 
Promedio de calificaciones: -
www.nosolored.com - Servicios Moodle, Chamilo, Joomla y Wordpress.
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
Moodlers de gran ayuda

Hola.

Al entrar en http://moodle.esepa.org/ indica que

 ¡ERROR! El código que está usando es MÁS ANTIGUO que la versión que construyó estas bases de datos.

por lo que tienes en tu sitio una mezcla de versiones de Moodle en código y en la base de datos.

Descarga de nuevo la versión 2.8.11 https://download.moodle.org/releases/security/ y sobreescribe tu instalación original 2.8.6 con los archivos de la nueva versión.

Comprueba de nuevo si realiza la actualización.

Ya nos indicas.

Un saludo.

 
Promedio de calificaciones:Útil (1)
Imagen de Luvin Areas
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
 

Muchas gracias por sus ayudas! He logrado que Moodle funcione nuevamente, gracias por sus consejos y comentarios!

Efectivamente descargué y copie en mi servidor las carpetas dañadas y finalicé la actualización! Muchas gracias    

 

 
Promedio de calificaciones: -
Imagen de _ Morita_papaya
Re: Problema al Actualizar Moodle 2.8.6 a 2.8.11
 

Hola!, 

Me puedes ayudar por favor con un problema similar que tengo con el Moodle 2.8.6.

está publicado en este foro https://moodle.org/mod/forum/discuss.php?d=354725

 
Promedio de calificaciones: -